<p>Najprije ćemo se upoznati s osnovnim načinima opisivanja digitalnog sklopovlja 
jezikom VHDL. Ovisno što znamo o digitalnom sklopu, opisat ćemo ga ili definiranjem njegove 
funkcije ili definiranjem njegove građe koja se oslanja na uporabu jednostavnijih sklopova.
Stoga ćemo razlikovati tri vrste opisa, odnosno tri modela sklopa.</p>

<p><strong>Model toka podataka</strong> (engl. <em>dataflow model</em>) je model sklopa kod kojega
pišemo naredbe koje kombiniraju ulazne signale (i eventualno pomoćne signale) uporabom
naredbi dodjeljivanja vrijednosti signalima i tako određuju vrijednosti izlaza sklopa.
Arhitektura (<em>dio opisa sklopa koji definira funkciju ili građu sklopa</em>) kod ovog modela 
sastoji se od jedne ili više naredbi pridruživanja vrijednosti signalu.</p>

<p><strong>Strukturni model</strong> (engl. <em>structural model</em>) je model sklopa 
koji sklop opisuje pozivajući se na njegovu građu te
način na koji su jednostavnije komponente od kojih je sklop izgrađen povezane s ulazima, povezane
međusobno te povezane s izlazima modeliranog sklopa. Arhitektura kod ovog modela sastoji se od
niza naredbi koje predstavljaju stvaranje primjeraka korištenih komponenata i njihovo međusobno
povezivanje.</p>

<p><strong>Funkcijski model</strong> (zovemo ga još i <strong>ponašajni model</strong>, 
engl. <em>behavioral model</em>) je model sklopa kod kojega
funkcionalnost sklopa najčešće ne opisujemo oslanjajući se na logičke operatore koji bi oslikavali
način na koji se ulazi transformiraju u izlaze, već pišemo algoritam koji ne govori kako bi sklop
trebalo sintetizirati već samo navodi kako se ulazi preslikavaju u izlaze. Ovo je najbliže što
možemo prići klasičnom modelu "crne kutije" kod kojega ni na koji način ne opisujemo građu sklopa
već samo njegovu funkcionalnost, koristeći proceduralno programiranje, naredbe poput <code>if</code>,
<code>case</code>, <code>for</code> i slično. Arhitektura kod ovog modela sastoji se od jednog ili
više blokova <code>process</code>.</p>

